using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour UserControlRequin.xaml
    /// </summary>
    public partial class UserControlRequin : UserControl
    {
        public UserControlRequin()
        {
            InitializeComponent();

        }


        public void UserControlReq_MouseDown(object sender, MouseButtonEventArgs e)
        {
            ((MainWindow)System.Windows.Application.Current.MainWindow).ContentControlSwapDes(this.requin);
        }

        private Requin _requin;
        public Requin requin
        {
            get { return _requin; }
            set {
                _requin = value;
                uptadeUi(_requin);
            }
        }



        public void uptadeUi(Requin requin)
        {
            nameReq.Text = requin.Nom;
            sciName.Text = requin.NomSci;
            image.Source = new BitmapImage(new Uri(requin.Photo, UriKind.Relative));
        }
    }
}
